com.io7m.smfj.validation.main

## Class SMFSchemaSerializerProvider

- java.lang.Object
- - com.io7m.smfj.validation.main.SMFSchemaSerializerProvider

- All Implemented Interfaces:
    SMFSchemaSerializerProviderType

      public final class SMFSchemaSerializerProvider
      extends Object
      implements SMFSchemaSerializerProviderType

  The default implementation of the `SMFSchemaSerializerProviderType` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMFSchemaSerializerProvider()` Construct a serializer provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFSchemaSerializerType` | `schemaSerializerCreate(SMFSchemaVersion version, Path path, OutputStream stream)`
    `javaslang.collection.SortedSet<SMFSchemaVersion>` | `schemaSupportedVersions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFSchemaSerializerProvider

          public SMFSchemaSerializerProvider()

      Construct a serializer provider.

  - ### Method Detail

    - #### schemaSupportedVersions

          public javaslang.collection.SortedSet<SMFSchemaVersion> schemaSupportedVersions()

      Specified by:
        `schemaSupportedVersions` in interface `SMFSchemaSerializerProviderType`
      Returns:
        The set of supported schema language versions

    - #### schemaSerializerCreate

          public SMFSchemaSerializerType schemaSerializerCreate(SMFSchemaVersion version,
                                                                Path path,
                                                                OutputStream stream)

      Specified by:
        `schemaSerializerCreate` in interface `SMFSchemaSerializerProviderType`
      Parameters:
        `version` - The schema version
        `path` - The path referred to by the output stream, for diagnostic messages
        `stream` - An output stream
      Returns:
        A new serializer for the version

Copyright © 2017 <code@io7m.com> http://io7m.com